Creates a new article category
Request Information
URI Parameters :
None.
Body Parameters :
article_category| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| parent_id |
Parent Article Category (Parent / Child) |
globally unique identifier | |
| parent_code |
Embedded entity "article_category" for parent using ERP PK when adding/updating article_category |
string | |
| parent_article_category |
Embedded entity "article_category" for parent when adding/updating article_category |
article_category | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the article category |
string |
Required Max length: 50 |
| modified_dateutc |
Readonly system field managed by the database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "acb69594-b1d3-47e7-8c11-0812b0e10f1c",
"parent_id": "8f61aee5-d4be-4c1b-9c50-b4f69669f0e0",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-03T06:13:21.9792614+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.